Skip to main content
PATCH
/
v1
/
fulfillments
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/fulfillments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fulfillment": {
    "trackings": [
      {
        "number": "1Z879E930346834440"
      }
    ]
  }
}
'
{
  "id": "9d342e92-5b1d-4150-876f-cbe5fdeb3ce9",
  "object": "fulfillment",
  "notifications_enabled": false,
  "number": "0000-F",
  "shipment_status": "unshippable",
  "g_weight": 0,
  "order": "96131392-4c19-4be7-ba90-e58e470f43b2",
  "created_at": 1770234859,
  "updated_at": 1770234859
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
fulfillment
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

notifications_enabled
boolean

Whether or not notifications should be sent to customers when fulfillments are created and updated.

shipment_status
string

The current shipment status of this fulfillment – one of unshippable, unshipped, shipped, or delivered.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

g_weight
number

Total weight of the entire fulfillment in grams.

number
string

The unique identifier for this fulfillment that is auto generated based on this account's order protocol.

order

Expandable – The associated order ID.

fulfillment_items

Expandable – Property not returned unless expanded.

trackings

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.